function [x,err] = mgase(A,b,Nmax,tol)
    % Gauss-Seidel con control de parada
    n = size(A,1); % dimensión
    x = zeros(n,1); % valor inicial

    for k = 1:Nmax
        x_old = x;

        for i = 1:n
            x(i)= (b(i) - A(i,1:i-1)*x(1:i-1) - A(i,i+1:n)*x(i+1:n))/A(i,i);
        end
        err = norm(x-x_old)/norm(abs(x_old)+eps);
        if err < tol
            disp(['Utilizadas ' num2str(k) ' iteraciones'])
            return
        end

        
    end
end
