function [x,err] = mjac(A,b,Nmax,tol)
    % Jacobi con control de parada
    n = size(A,1); % dimensión
    AmenosD = A-diag(diag(A));
    Dinv = diag(A).^-1;

    x = zeros(n,1);
    for k = 1:Nmax
        x_old = x;
        x = Dinv.*(b-AmenosD*x_old);
        err = norm(x-x_old)/norm(abs(x_old)+eps);
        if err < tol
%            disp(['Utilizadas ' num2str(k) ' iteraciones'])
            return
        end
    end
end
